package com.ruoyi.tc.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.tc.entity.po.UnitOtherConcatCpPo;
import com.ruoyi.tc.mapper.UnitOtherConcatCpMapper;
import com.ruoyi.tc.service.UnitOtherConcatCpService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 单位其他联系人复制(unit_other_contact_cp)业务处理层
 *
 * @author du
 * @since 2024/11/13 14:58
 */
@Service("unitOtherConcatCpService")
public class UnitOtherConcatCpServiceImpl extends ServiceImpl<UnitOtherConcatCpMapper, UnitOtherConcatCpPo> implements UnitOtherConcatCpService {
    @Resource
    private UnitOtherConcatCpMapper unitOtherConcatCpMapper;

    @Override
    public List<UnitOtherConcatCpPo> findByassetId(Long assetId) {
        return unitOtherConcatCpMapper.findByassetId(assetId);
    }

    @Override
    public void deletByAssetIdandTaskId(Long assetId, Integer taskId) {
        unitOtherConcatCpMapper.deletByAssetIdandTaskId(assetId,taskId);
    }

    @Override
    public void deletByAssetId(Long assetId) {
        unitOtherConcatCpMapper.deletByAssetId(assetId);
    }

    @Override
    public UnitOtherConcatCpPo findByTaskId(int assetId) {
        return unitOtherConcatCpMapper.findByTaskId(assetId);
    }
}
